Bug 201680 - Missing GUI functionality with Junk and Trash folders
Missing GUI functionality with Junk and Trash folders
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: Desktop
Depends On:
  Show dependency treegraph
Reported: 2006-08-08 05:25 EDT by Xiaohong Wang
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-02 10:43:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 335326 None None None Never

  None (edit)
Description Xiaohong Wang 2006-08-08 05:25:12 EDT
Description of problem:
Right click the selected messages and select "Move/Copy to Folder" ->
Trash/Junk, it doesn't work
Or drag the selected messages directly to Trash/Junk, it doesn't work

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Launch Mail-Evolution
2. Select a message from Inbox E-mail list
3. Right click the message and select "Move/Copy to Folder" -> Trash/Junk

Actual results:
Couldn't select Trash/Junk in Select folder window, it doesn't work.

Expected results:

Additional info:
It works correctly in Thunderbird.
I think it is convenient if user can dragging selected messages directly to Trash.
Comment 1 Matthew Barnes 2006-08-11 10:53:23 EDT
If I may paraphrase the problem description...

There are two parts to this:

1) Cannot drag and drop messages to either the Junk or Trash folders.

2) The Junk and Trash folders are not selectable from the "Select folder"
   dialog when attempting to move or copy a message via the
   "Move to Folder..." or "Copy to Folder..." menu items.

Moving a message to the Junk folder by either means should be equivalent to
clicking the "Junk" button or selecting "Message -> Mark as -> Junk".

Moving a message to the Trash folder by either means should be equivalent to
clicking the "Delete" button or selecting "Edit -> Delete Message".
Comment 2 Matthew Barnes 2007-01-02 10:43:12 EST
Closing as UPSTREAM since there is an equivalent bug report upstream.  I will
continue to track the problem there.  Please refer to [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=335326

Note You need to log in before you can comment on or make changes to this bug.